extend("gowhp:kratos_allfather");
loadTextures({
    "layer1": "gowhp:kratos/kratos_allfather_layer1",
    "layer2": "gowhp:kratos/kratos_allfather_layer2",
    "eyes_lightning": "gowhp:kratos/kratos_allfather_lightning_eyes",
    "eyes_bifrost": "gowhp:kratos/kratos_allfather_bifrost_eyes",
    "beard": "gowhp:kratos/kratos_allfather_beard",
    "mjolnir": "gowhp:thor/mjolnir",
    "mjolnir_lights": "gowhp:thor/mjolnir_lights",
    "gungnir_open": "gowhp:odin/gungnir_open",
    "book_of_eldr": "gowhp:odin/book_of_eldr",
    "odinhead": "gowhp:kratos/odinheaddisplay",
    "thorhead": "gowhp:kratos/thorheaddisplay"
});

function initEffects(renderer) {
    parent.initEffects(renderer);

    bladeofchaosdisplayalt = renderer.createEffect("fiskheroes:model");
    bladeofchaosdisplayalt.setModel(utils.createModel(renderer, "gowhp:bladesofchaos", "bladesofchaos", "bladesofchaos_lights"));
    bladeofchaosdisplayalt.anchor.ignoreAnchor(true);
    bladeofchaosdisplayalt.setScale(0.7);
    bladeofchaosdisplayalt.setRotation(180.0, 40.0, 0.0);
    bladeofchaosdisplayalt.setOffset(15.0, 38.0, -30.0);

    leviathanaxedisplayalt = renderer.createEffect("fiskheroes:model");
    leviathanaxedisplayalt.setModel(utils.createModel(renderer, "gowhp:leviathanaxe", "leviathanaxe", "leviathanaxe_lights"));
    leviathanaxedisplayalt.anchor.ignoreAnchor(true);
    leviathanaxedisplayalt.setScale(0.7);
    leviathanaxedisplayalt.setRotation(180.0, -20.0, -45.0);
    leviathanaxedisplayalt.setOffset(-17.5, 25.0, -35.0);

    odinheaddisplayalt = renderer.createEffect("fiskheroes:model");
    odinheaddisplayalt.setModel(utils.createModel(renderer, "gowhp:head_display", "odinhead"));
    odinheaddisplayalt.anchor.ignoreAnchor(true);
    odinheaddisplayalt.setScale(1.0);
    odinheaddisplayalt.setRotation(0.0, -20.0, 0.0);
    odinheaddisplayalt.setOffset(15.0, 16.0, -30.0);

    thorheaddisplayalt = renderer.createEffect("fiskheroes:model");
    thorheaddisplayalt.setModel(utils.createModel(renderer, "gowhp:head_display", "thorhead"));
    thorheaddisplayalt.anchor.ignoreAnchor(true);
    thorheaddisplayalt.setScale(1.35);
    thorheaddisplayalt.setRotation(0.0, 20.0, 0.0);
    thorheaddisplayalt.setOffset(-20.0, 8.0, -35.0);
}

function render(entity, renderLayer, isFirstPersonArm) {
    parent.render(entity, renderLayer, isFirstPersonArm);
    if (((entity.as("DISPLAY").getDisplayType() == "HOLOGRAM" || entity.as("DISPLAY").getDisplayType() == "DATABASE_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "FABRICATOR_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "ITERATOR_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "BOOK_PREVIEW"))) {
        odinheaddisplayalt.render();
        thorheaddisplayalt.render();
    }
    if (((entity.as("DISPLAY").getDisplayType() == "HOLOGRAM" || entity.as("DISPLAY").getDisplayType() == "DATABASE_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "FABRICATOR_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "ITERATOR_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "BOOK_PREVIEW"))) {
        bladeofchaosdisplayalt.render();
    }
    if (((entity.as("DISPLAY").getDisplayType() == "HOLOGRAM" || entity.as("DISPLAY").getDisplayType() == "DATABASE_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "FABRICATOR_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "ITERATOR_PREVIEW" || entity.as("DISPLAY").getDisplayType() == "BOOK_PREVIEW"))) {
        leviathanaxedisplayalt.render();
    }
}
